## ubuntu-docs 1.0

=== Makefile ===
# Makefile for the Ubuntu Documentation maintained by the Ubuntu Documentation Team
# Christoph Haas <email@christoph-haas.de>
# Sean Wheller <sean@inwords.co.za>
# Modified for scrollkeeper and debian package by  Sivan Green <sivan@workaround.org>

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
else
# SuSE
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
# Redhat
# NWDBXSL=/usr/share/xml/docbook/xsl-stylesheets/html/docbook.xsl
endif

# Make Image list text file
MKIMGLST=libs/imagelist.xsl

# Ubuntu Docbook Customization Layer
HTMLXSL=libs/html-cust.xsl

# About Ubuntu Docbook Customization Layer
AUHTMLXSL=libs/about-ubuntu-html-cust.xsl

# House Keeping XSL's
wOS=housekeep/writeOwnerStatus.xsl

# Base directories for output from processor
UGBASE=build/userguide/

QGBASE=build/quickguide/

FAQBASE=build/faqguide/

ADBASE=build/adminguide/

STBASE=build/status/

RNBASE=build/release-notes/

AUBASE=build/about-ubuntu/

#Subversion information
SVN_HEAD=https://docteam.ubuntu.com/repos/trunk

# if no VERSION is specified content of WC VERSION file will be used
VERSION="`cat VERSION`"

# If no release is specified, 1 will be used
RELEASE=1

DATE="`date +%Y%m%d`"

# Location of XML catalog files
#XML_CATALOG_CANDIDATES = \
#	/usr/share/xml/docbook/schema/dtd/4.3/catalog.xml \
#	/usr/share/sgml/docbook/dtd/4.3/catalog.xml
#ifexists=$(shell test -e $(file) && echo $(file))
#XML_CATALOG_FILES=$(firstword $(foreach file,$(CANDS),$(ifexists)))
#export XML_CATALOG_FILES

.PHONY: all
	
all: ug qg faq ag abt rn status

packaged: qg abt rn

# all: html/index.html
#    
# html/index.html: usersguide.xml $(XSL) $(shell find parts -name '*.xml')
# 	mkdir -p html
# 	$(XSLTPROC) -o html/ $(XSL) $<
# 	mkdir -p xml
# 	mkdir -p xml/parts
# 	cp *.xml xml/.
# 	cp *.png xml/.
# 	cp -R --copy-contents parts/* xml/parts/.

# User Guide
ug:
	@echo "Building the Ubuntu User Guide . . ."
	mkdir -p $(UGBASE)
	
	$(XSLTPROC) --xinclude --stringparam base.dir $(UGBASE) $(HTMLXSL) userguide/usersguide.xml
	
	cp -r libs/corpstyle.css $(UGBASE)
	
	mkdir -p build/images
	cp -r images/*.* build/images
	
	mkdir -p build/images/admon
	cp -r images/admon/*.* build/images/admon
	
	mkdir -p build/images/callouts
	cp -r images/callouts/*.* build/images/callouts
	
	mkdir -p build/images/navig
	cp -r images/navig/*.* build/images/navig
	
	
# Quick Guide
qg:
	@echo "Building the Ubuntu Quick Guide . . ."
	mkdir -p $(QGBASE)
	
	xsltproc --xinclude --stringparam base.dir $(QGBASE) $(HTMLXSL) quickguide/quick-guide.xml
	
	cp -r libs/corpstyle.css $(QGBASE)
	
	mkdir -p build/images
	cp -r images/*.* build/images
	
	mkdir -p build/images/admon
	cp -r images/admon/*.* build/images/admon
	
	mkdir -p build/images/callouts
	cp -r images/callouts/*.* build/images/callouts
	
	mkdir -p build/images/navig
	cp -r images/navig/*.* build/images/navig

# Frequently Asked Questions
faq:
	
	@echo "Building the Ubuntu FAQ . . ."
	mkdir -p $(FAQBASE)
	
	xsltproc --xinclude --stringparam base.dir $(FAQBASE) $(HTMLXSL) faqguide/faqguide.xml
	
	cp -r libs/corpstyle.css $(FAQBASE)
	
	mkdir -p build/images
	cp -r images/*.* build/images
	
	mkdir -p build/images/admon
	cp -r images/admon/*.* build/images/admon
	
	mkdir -p build/images/callouts
	cp -r images/callouts/*.* build/images/callouts
	
	mkdir -p build/images/navig
	cp -r images/navig/*.* build/images/navig
	
# Administration Guide
ag:
	
	@echo "Building the Ubuntu Admin Guide . . ."
	mkdir -p $(ADBASE)
	
	xsltproc --xinclude --stringparam base.dir $(ADBASE) $(HTMLXSL) adminguide/adminguide.xml
	
	cp -r libs/corpstyle.css $(ADBASE)
	
	mkdir -p build/images
	cp -r images/*.* build/images
	
	mkdir -p build/images/admon
	cp -r images/admon/*.* build/images/admon
	
	mkdir -p build/images/callouts
	cp -r images/callouts/*.* build/images/callouts
	
	mkdir -p build/images/navig
	cp -r images/navig/*.* build/images/navig
# Build About Ubuntu Document
abt:
	@echo "Building About Ubuntu Document"
	mkdir -p $(AUBASE)
	
	xsltproc --xinclude -o $(AUBASE)/index.html $(AUHTMLXSL) aboutubuntu/about-ubuntu.xml
	xsltproc --xinclude -o $(AUBASE)/index-fr.html $(AUHTMLXSL) aboutubuntu/about-ubuntu-fr.xml
	xsltproc --xinclude -o $(AUBASE)/index-it.html $(AUHTMLXSL) aboutubuntu/about-ubuntu-it.xml
	xsltproc --xinclude -o $(AUBASE)/index-tl.html $(AUHTMLXSL) aboutubuntu/about-ubuntu-tl.xml
	xsltproc --xinclude -o $(AUBASE)/index-xh.html $(AUHTMLXSL) aboutubuntu/about-ubuntu-xh.xml
	cp -r images/ubuntuheader.png $(AUBASE)
	cp -r libs/aboutubuntu.css $(AUBASE)

# Build Release Notes
rn:
	@echo "Building the Release Notes . . ."
	mkdir -p $(RNBASE)
	
	xsltproc --xinclude -o $(RNBASE)/release-notes.html $(NWDBXSL) releasenotes/release-notes.xml
	cp -r images/IconUbuntu.png $(RNBASE)
	xsltproc --xinclude -o $(RNBASE)/release-notes-fr.html $(NWDBXSL) releasenotes/release-notes-fr.xml
	#xsltproc --xinclude -o $(RNBASE)/release-notes-it.html $(NWDBXSL) releasenotes/release-notes-it.xml
	xsltproc --xinclude -o $(RNBASE)/release-notes-xh.html $(NWDBXSL) releasenotes/release-notes-xh.xml 

# Make Document Image Lists
imagelist:
	mkdir -p build
	
	#xsltproc --xinclude -o build/usersguide-list.txt $(MKIMGLST) userguide/usersguide.xml
	xsltproc --xinclude -o build/quickguide-list.txt $(MKIMGLST) quickguide/quick-guide.xml
	#xsltproc --xinclude -o build/faq-list.txt $(MKIMGLST) faqguide/faqguide.xml
	xsltproc --xinclude -o build/adminguide-list.txt $(MKIMGLST) adminguide/adminguide.xml
	xsltproc --xinclude -o build/releasenotes-list.txt $(MKIMGLST) releasenotes/release-notes.xml
	xsltproc --xinclude -o build/aboutubuntu-list.txt $(MKIMGLST) aboutubuntu/about-ubuntu.xml

# Build Project Status Reports
status:
	@echo "Building the Status Reports . . ."
	mkdir -p $(STBASE)
		
	xsltproc --xinclude -o $(STBASE)/qg-report.xml $(wOS) quickguide/quick-guide.xml
	xsltproc --xinclude -o $(STBASE)/ug-report.xml $(wOS) userguide/usersguide.xml
	xsltproc --xinclude -o $(STBASE)/faq-report.xml $(wOS) faqguide/faqguide.xml
	xsltproc --xinclude -o $(STBASE)/rn-report.xml $(wOS) releasenotes/release-notes.xml
	
	xsltproc -o $(STBASE)/qg-report.html $(NWDBXSL) $(STBASE)/qg-report.xml
	xsltproc -o $(STBASE)/ug-report.html $(NWDBXSL) $(STBASE)/ug-report.xml
	xsltproc -o $(STBASE)/faq-report.html $(NWDBXSL) $(STBASE)/faq-report.xml
	xsltproc -o $(STBASE)/rn-report.html $(NWDBXSL) $(STBASE)/rn-report.xml

# Build .pot files from English lang xml
pot:
	@echo "Building .pot files . . ."
	./make-pot
	
# Rebuild xml from .po files
po:
	@echo "Rebuilding docbook xml files from .po files"
	./make-po

# Build Pristine Copy of Docs from SVN and make tarball
dist:
	@echo "Loading fresh copy of Ubuntu Documentation Set . . ."
	mkdir -p ubuntu-docs
	svn export $(SVN_HEAD) ubuntu-docs/$(VERSION)-$(RELEASE)
	
	@echo "Compressing source files . . ."
	tar -czf ubuntu-docs-$(VERSION)-$(RELEASE).tar.gz ubuntu-docs
	mv *.tar.gz ubuntu-docs

# Remove the mess
clean:
	rm -rf build/
	rm -rf ubuntu-docs/

## ubuntu-docs 5.10-6

=== kde/Makefile ===
# Makefile for the Kubuntu Documentation
# Sean Wheller <sean@inwords.co.za>
# Matt Galvin <matt.t.galvin@gmail.com>

MAKECMD=make

# XSL Processors
XSLTPROC=$(shell which xsltproc)

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl
NWDBFOXSL=/usr/share/xml/docbook/stylesheet/nwalsh/fo/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.3/catalog.xml
else
# SuSE
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
NWDBFOXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/fo/docbook.xsl
endif

KDEXSL=/usr/share/apps/ksgmltools2/customization/kde-chunk.xsl

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

# Kubuntu Docbook HTML Customization Layer
KHTMLXSL=libs/kde-ubuntu.xsl

# Kubuntu Docbook FO Customization Layer
KFOXSL=libs/kfo-cust.xsl

# About Ubuntu Docbook HTML Customization Layer
AUHTMLXSL=libs/about-ubuntu-html-cust.xsl

# Base kde directories for output from processor
KBASE=../build/kde/

KDSBASE=../build/kde/specs/

KSTBASE=../build/kde/status/

KUGBASE=../build/kde/kuserguide/

KQGBASE=../build/kde/kquickguide/

KAGBASE=../build/kde/kadminguide/

KINBASE=../build/kde/kubuntu-install/

KRNBASE=../build/kde/krelease-notes/

KAKBASE=../build/kde/about-kubuntu/

KUMBASE=../build/kde/kynaptic/

FAQBASEI386=../build/kde/kfaqi386/

FAQBASEAMD64=../build/kde/kfaqamd64/

FAQBASEPPC=../build/kde/kfaqppc/

kall: kspec kstatus pip kug kqg kin krn kak kum kfaq


# This is here to select what to build for the .deb package.
# Frode M. Doeving <frode@lnix.net>
# Depends: debhelper devscripts cdbs
# Run prepdeb.sh do not run this make target
# Status: Available
kdeb: kqg krn kak

#Status: AVAILABLE
# Kubuntu Document Specifications
kspec:
	@echo "Building the Kubuntu Document Specifications . . ."

	xsltproc -o $(KDSBASE)kreleasenotes-spec.html $(wOS) docspecs/kquickguide-spec.xml

# No File Yet
#	xsltproc -o $(KDSBASE)kadminguide-spec.html $(KDEXSL) docspecs/kadminguide-spec.xml

	xsltproc -o $(KDSBASE)kinstalguide-spec.html $(KDEXSL) docspecs/kinstalguide-spec.xml

	xsltproc -o $(KDSBASE)kquickguide-spec.html $(KDEXSL) docspecs/kquickguide-spec.xml

	xsltproc -o $(KDSBASE)kuserguide-spec.xml $(KDEXSL) docspecs/kuserguide-spec.xml

#Status: AVAILABLE
# Kubuntu Status Reports
kstatus:
	@echo "Building the Kubuntu Status Reports . . ."

	xsltproc -o $(KSTBASE)kug-report.xml $(wOS) kuserguide/C/kuserguide.xml
	xsltproc -o $(KSTBASE)kug-report.html $(KDEXSL) $(KSTBASE)kug-report.xml

	xsltproc -o $(KSTBASE)kqg-report.xml $(wOS) kquickguide/C/kquickguide.xml
	xsltproc -o $(KSTBASE)kqg-report.html $(KDEXSL) $(KSTBASE)kqg-report.xml

# No File Yet
#	xsltproc -o $(KSTBASE)kag-report.xml $(wOS) kadminguide/C/kadminguide.xml
#	xsltproc -o $(KSTBASE)kag-report.html $(KDEXSL) $(KSTBASE)kag-report.xml

	xsltproc -o $(KSTBASE)kin-report.xml $(wOS) ../generic/instalguide/C/installation-guide.xml
	xsltproc -o $(KSTBASE)kin-report.html $(KDEXSL) $(KSTBASE)kin-report.xml

	xsltproc -o $(KSTBASE)krn-report.xml $(wOS) kreleasenotes/C/kreleasenotes.xml
	xsltproc -o $(KSTBASE)krn-report.html $(KDEXSL) $(KSTBASE)krn-report.xml

	xsltproc -o $(KSTBASE)kak-report.xml $(wOS) aboutkubuntu/C/about-kubuntu.xml
	xsltproc -o $(KSTBASE)kak-report.html $(KDEXSL) $(KSTBASE)kak-report.xml

	xsltproc -o $(KSTBASE)kum-report.xml $(wOS) kynaptic/C/kynaptic.xml
	xsltproc -o $(KSTBASE)kum-report.html $(KDEXSL) $(KSTBASE)kum-report.xml

	@echo "Complete. Find outputs at" $(KSTBASE)

#Status: AVAILABLE
#Preview Index Page
pip:
	@echo "Building the Preview Index Page . . ."

	xsltproc -o $(KBASE)index.html $(KDEXSL) index.xml

#Status: AVAILABLE
# K User Guide
kug:
	@echo "Building the Kubuntu User Guide . . ."

	xsltproc --xinclude --stringparam base.dir $(KUGBASE)C/ $(KHTMLXSL) kuserguide/C/kuserguide.xml
	xsltproc -o $(KBASE)kug-imagelist.txt $(MKIMGLST) kuserguide/C/kuserguide.xml

	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts

	@echo "Complete. Find outputs at" $(KUGBASE)

#Status: AVAILABLE
# K Quick Guide
kqg:
	@echo "Building the Kubuntu Quick Guide . . ."

	xsltproc --stringparam base.dir $(KQGBASE)C/ $(KHTMLXSL) kquickguide/C/kquickguide.xml
	xsltproc -o $(KQGBASE)kqg-imagelist.txt $(MKIMGLST) kquickguide/C/kquickguide.xml

	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts

	@echo "Complete. Find outputs at" $(KQGBASE)

#Status: AVAILABLE
# K PDF Installation Guide
kinpdf:
	echo "Building PDF of Kubuntu Installation Guide . . ."
	java com.icl.saxon.StyleSheet -o $(KINBASE)C/kubuntu-installguide.fo ../generic/instalguide/C/installation-guide.xml $(KFOXSL)
 
	cp -rf ../generic/images/C/*.* $(KBASE)images/C
 
	java org.apache.fop.apps.Fop -fo $(KINBASE)C/kubuntu-installguide.fo -pdf $(KINBASE)C/kubuntu-installguide.pdf

	rm $(KINBASE)C/kubuntu-installguide.fo

#Status: AVAILABLE
# K About Kubuntu Document
kak:
	@echo "Building About Kubuntu Document"

	xsltproc -o $(KAKBASE)C/index.html $(KDEXSL) aboutkubuntu/C/about-kubuntu.xml
	xsltproc -o $(KAKBASE)kak-imagelist.txt $(MKIMGLST) aboutkubuntu/C/about-kubuntu.xml

	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts

	@echo "Complete. Find outputs at" $(KAKBASE)

#Status: AVAILABLE
# K Release Notes
krn:
	@echo "Building the Kubuntu Release Notes . . ."

	xsltproc -o $(KRNBASE)C/kreleasenotes.html $(KDEXSL) kreleasenotes/C/kreleasenotes.xml
	xsltproc -o $(KRNBASE)krn-imagelist.txt $(MKIMGLST) kreleasenotes/C/kreleasenotes.xml

	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts
	
	@echo "Complete. Find outputs at" $(KRNBASE)

#Status: AVAILABLE
# K Installation Guide
kin:
	
	@echo "Building the Kubuntu Installation Guide . . ."
	
	xsltproc --stringparam base.dir $(KINBASE)C/ --stringparam profile.os "kde" $(KHTMLXSL) ../generic/instalguide/C/installation-guide.xml
	xsltproc -o $(KINBASE)kin-imagelist.txt $(MKIMGLST) ../generic/instalguide/C/installation-guide.xml
	
	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts

	@echo "Complete. Find outputs at" $(KINBASE)

#Status: NOT WORKING
# K Administration Guide
kag:
	
	@echo "Building the Kubuntu Administration Guide . . ."
	
	xsltproc --stringparam base.dir $(KAGBASE)C/ $(KHTMLXSL) adminguide/C/adminguide.xml
	xsltproc -o $(KAGBASE)kad-imagelist.txt $(MKIMGLST) kadminguide/C/kadminguide.xml
	
	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts
	
	@echo "Complete. Find outputs at" $(KAGBASE)

#Status: AVAILABLE
# K FAQ Guide - build for all archs (i386, amd64, ppc)
kfaq: kfaqi386 kfaqamd64 kfaqppc

#Status: AVAILABLE
# K FAQ Guide (i386)
kfaqi386:
	
	@echo "Building the Kubuntu FAQ Guide (i386). . ."
	
	xsltproc --stringparam base.dir $(FAQBASEI386)C/ --stringparam profile.os "kde" --stringparam profile.arch "i386" $(KHTMLXSL) ../generic/faqguide/C/faqguide.xml
#	xsltproc -o $(KINBASE)kin-imagelist.txt $(MKIMGLST) ../generic/instalguide/C/installation-guide.xml
	
	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts
	
	@echo "Complete. Find outputs at" $(FAQBASEI386)

#Status: AVAILABLE
# K FAQ Guide (amd64)
kfaqamd64:
	
	@echo "Building the Kubuntu FAQ Guide (amd64). . ."
	
	xsltproc --stringparam base.dir $(FAQBASEAMD64)C/ --stringparam profile.os "kde" --stringparam profile.arch "amd64" $(KHTMLXSL) ../generic/faqguide/C/faqguide.xml
#	xsltproc -o $(KINBASE)kin-imagelist.txt $(MKIMGLST) ../generic/instalguide/C/installation-guide.xml
	
	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts
	
	@echo "Complete. Find outputs at" $(FAQBASEAMD64)

#Status: AVAILABLE
# K FAQ Guide (ppc)
kfaqppc:
	
	@echo "Building the Kubuntu FAQ Guide (ppc). . ."
	
	xsltproc --stringparam base.dir $(FAQBASEPPC)C/ --stringparam profile.os "kde" --stringparam profile.arch "ppc" $(KHTMLXSL) ../generic/faqguide/C/faqguide.xml
#	xsltproc -o $(KINBASE)kin-imagelist.txt $(MKIMGLST) ../generic/instalguide/C/installation-guide.xml
	
	mkdir -p $(KBASE)images
	mkdir -p $(KBASE)images/C
	cp -rf images/C/*.* $(KBASE)images/C
	mkdir -p $(KBASE)images/navig
	cp -rf images/navig/*.* $(KBASE)images/navig
	mkdir -p $(KBASE)images/admon
	cp -rf images/admon/*.* $(KBASE)images/admon
	mkdir -p $(KBASE)images/callouts
	cp -rf images/callouts/*.* $(KBASE)images/callouts
	
	@echo "Complete. Find outputs at" $(FAQBASEPPC)

#Status: AVAILABLE
# Kynaptic User Manual
kum:
	@echo "Building the Kynaptic User Manual . . ."
	
	xsltproc --stringparam base.dir $(KUMBASE)C/ $(KHTMLXSL) kynaptic/C/kynaptic.xml
	xsltproc -o $(KUMBASE)kun-imagelist.txt $(MKIMGLST) kynaptic/C/kynaptic.xml
	
	mkdir -p $(KUMBASE)C/figures
	cp -rf kynaptic/C/figures/*.* $(KUMBASE)C/figures/
	
#	mkdir -p $(KUMBASE)C/figures/admon
#	cp -rf ../common/admon/*.* $(KBASE)images/admon
	
#	mkdir -p $(KBASE)images/callouts
#	cp -rf ../common/callouts/*.* $(KBASE)images/callouts
	
#	mkdir -p $(KBASE)images/navig
#	cp -rf ../common/navig/*.* $(KBASE)images/navig
	
	@echo "Complete. Find outputs at" $(KUMBASE)

# Added for the .deb package
# Frode M. Doeving <frode@lnix.net>
clean:
	rm -rf $(KBASE)

=== gnome/aboutubuntu/C/Makefile ===
BUILD_FILE=index.html
HTML_XSL=../libs/about-ubuntu-html-cust.xsl
FIG_DIR=../images
DOC_NAME=about-ubuntu

LANG=C
OMF_FILE=$DOC_NAME-$LANG.omf
SUBJECT="General|Linux|Distributions|Other"
IDENTIFIER=file:///usr/share/gnome/help/$DOC_NAME/$LANG/$DOC_NAME.xml
SERIES_ID=7fb11226-8a1d-11d9-9fcf-ff970c259736

PROC_CMD="xsltproc --xinclude -o $BUILDDIR/$LANG/$BUILD_FILE $HTML_XSL $DOC_NAME.xml"

include ../../../Makefile.lib

all: $(DOC_NAME).pot

=== debian/changelog ===
ubuntu-docs (5.10-6) breezy; urgency=low

  * Resolve remaining errors from pofile export from Rosetta.
    (Ubuntu #17145)
    Thanks to Matthew East for this!

  * Make ghelp URIs work again (Ubuntu  #16982)

  * Prune out unused images.

  * Firefox start page now has image and CSS.

  * The faqguide is now known as the "Ubuntu 5.10 Starter Guide"

 -- Jeff Bailey <jbailey@ubuntu.com>  Fri,  7 Oct 2005 16:32:14 -0400

ubuntu-docs (5.10-5) breezy; urgency=low

  * Resolve entity errors (Ubuntu: #15866, 16680)

  * Provide firefox start page (Ubuntu: #16663)

  Note: This page needs work as the image doesn't display and the CSS
  file crashes firefox, but this kills the annoying error.

 -- Jeff Bailey <jbailey@ubuntu.com>  Mon,  3 Oct 2005 02:20:04 -0400

ubuntu-docs (5.10-4) breezy; urgency=low

  * Final update for NonLanguagePackTranslationDeadlinreg

 -- Jeff Bailey <jbailey@ubuntu.com>  Thu, 29 Sep 2005 23:28:43 -0400

ubuntu-docs (5.10-3) breezy; urgency=low

  * Lighten the package somewhat (Thanks to Jerome Gotangco)

  * Conflict/Replace ubuntu-faqguide (Ubuntu: #16465)
    Thanks to Matt Zimmerman for catching this!

 -- Jeff Bailey <jbailey@ubuntu.com>  Wed, 28 Sep 2005 00:26:10 -0400

ubuntu-docs (5.10-2) breezy; urgency=low

  * Switch to docbook

  * Remove old ubuntu-quickguide (Ubuntu #14816, #14709)

  * Various updates from the docteam and translators.

 -- Jeff Bailey <jbailey@ubuntu.com>  Tue, 27 Sep 2005 00:34:05 -0400

ubuntu-docs (5.10-1) breezy; urgency=low

  * Redo packaging based heavily off of Matt's packaging, make
    sure that images are all included and that pages don't say
    "draft".

    Currently includes: about-ubuntu, faqamd64, faqi386, faqppc,
    quicktour, and release-notes.

 -- Jeff Bailey <jbailey@ubuntu.com>  Fri,  2 Sep 2005 01:55:34 -0400

ubuntu-docs (5.10-0.0) breezy; urgency=low

  * First release using new revision number scheme
  * Currently only include releasenotes, aboutubuntu, and the faqguide

 -- Matt T Galvin <matt.t.galvin@gmail.com>  Wed, 10 Aug 2005 20:37:21 -0400

ubuntu-docs (1.0-1) hoary; urgency=low

  * New release
    (xh OMF files are now translated)
  * Bump to 1.0 because this one wants to be the last upload for Hoary

 -- Enrico Zini <enrico@debian.org>  Wed,  6 Apr 2005 15:03:50 +0200

ubuntu-docs (0.7-1) hoary; urgency=low

  * New release
  * Added translated OMF files

 -- Enrico Zini <enrico@debian.org>  Wed,  6 Apr 2005 14:20:26 +0200

ubuntu-docs (0.6-1) hoary; urgency=low

  * New release
  * Translations updated
  * quickguide file name changed
  * Quickguide starts having translations as well

 -- Enrico Zini <enrico@debian.org>  Tue,  5 Apr 2005 16:56:31 +0200

ubuntu-docs (0.5-1) hoary; urgency=low

  * New release
  * Includes translations

 -- Enrico Zini <enrico@debian.org>  Mon,  4 Apr 2005 15:52:27 +0200

ubuntu-docs (0.4-1) hoary; urgency=low

  * New release
  * Reworked Debian packaging to install things according to Gnome standards

 -- Enrico Zini <enrico@debian.org>  Thu, 24 Mar 2005 13:29:23 +0100

ubuntu-docs (0.3-1) hoary; urgency=low

  * New release
  * Fixed the debian/ scripts to handle changes in the location of the release
    notes
  * ubuntu-docs conflicts with ubuntu-quickguide << 0.3 because an image has
    been moved from the quickguide package to the ubuntu-docs package

 -- Enrico Zini <enrico@debian.org>  Mon, 21 Mar 2005 11:16:12 +0100

ubuntu-docs (0.2-1) hoary; urgency=low

  * New release
  * Added more OMF files; registration with scroolkeeper now works, but the
    documents show up in the "Other" cathegory, which is suboptimal

 -- Enrico Zini <enrico@enricozini.org>  Fri,  4 Mar 2005 15:42:16 +0100

ubuntu-docs (0.1-1) hoary; urgency=low

  * Initial release.

 -- Enrico Zini <enrico@enricozini.org>  Tue, 30 Nov 2004 17:55:37 +0200

=== debian/control ===
Source: ubuntu-docs
Section: text
Priority: optional
Maintainer: Enrico Zini <enrico@debian.org>
Uploaders: Matt T Galvin <matt.t.galvin@gmail.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, poxml
Standards-Version: 3.6.1.0

Package: ubuntu-docs
Architecture: all
Depends: scrollkeeper
Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
Replaces: ubuntu-faqguide
Recommends: yelp
Description: The Ubuntu Quick Guide
 The package holds the ubuntu official handbook, created by the
 Ubuntu Documentation Team.
 .
 The handbook can be viewed using Yelp the GNOME help browser, or
 stand-alone in HTML or PDF format.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_DH_INSTALL_ARGS = -X.svn

DEB_SRCDIR = gnome

DEB_MAKE_BUILD_TARGET = gdeb

$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)

## ubuntu-docs 5.10-6.3

=== gnome/Makefile ===
# Makefile for the GNOME ubuntu Documentation
# Sean Wheller <sean@inwords.co.za>
# Jeff Schering <jeffschering@gmail.com>
# Matt Galvin <matt.t.galvin@gmail.com>

MAKECMD=make

# XSL Processors
XSLTPROC=/usr/bin/xsltproc

current_distro=$(shell test -e /etc/debian_version && echo "debian")

# NWalsh Docbook XSL's
ifeq ($(current_distro), debian)
# Ubuntu
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl

# Debian and Ubuntu also need an explicit location for the XML catalog files
export XML_CATALOG_FILES = /usr/share/xml/docbook/schema/dtd/4.1.2/catalog.xml
else
# SuSE
NWDBXSL=/usr/share/xml/docbook/stylesheet/nwalsh/current/html/docbook.xsl
endif

# Makes an Image list text file
MKIMGLST=../libs/imagelist.xsl

# Collected and Write Status
wOS=../libs/writeOwnerStatus.xsl

# Docbook HTML Customization Layer
HTMLXSL=libs/gnome-ubuntu.xsl

# Syle Guide HTML Customization Layer
SGHTMLXSL=libs/style-guide-html-cust.xsl

# About Ubuntu Docbook HTML Customization Layer
AUHTMLXSL=../libs/about-ubuntu-html-cust.xsl

# FAQ Guide  Docbook HTML Customization Layer
FAQHTMLXSL=../libs/faqguide-html-cust.xsl

# Base gnome directories for output from processor
BASE=../build/gnome/

STBASE=../build/gnome/status/

UGBASE=../build/gnome/userguide/

QGBASE=../build/gnome/quickguide/

AGBASE=../build/gnome/adminguide/

INBASE=../build/gnome/ubuntu-install/

RNBASE=../build/gnome/release-notes/

ABASE=../build/gnome/about-ubuntu/

FAQBASEI386=../build/gnome/faqi386/

FAQBASEAMD64=../build/gnome/faqamd64/

FAQBASEPPC=../build/gnome/faqppc/

SGBASE=../build/styleguide/

IMAGES=../build/gnome/images/

.PHONY: all
all: status ug qg ag in au rn faq sg qt
	# copy style sheet to build directory
	cp default.css ../build/gnome/default.css

# This is here to select what to build for the .deb package.
gdeb: rn au faq
	cp default.css ../build/gnome/default.css

#Status: AVAILABLE
# Ubuntu Status Reports
status:
	@echo "----- Building status reports... please be patient. -----"
	@echo "----- User Guide status report -----"
	xsltproc -o $(STBASE)ug-report.xml $(wOS) userguide/C/userguide.xml
	xsltproc -o $(STBASE)ug-report.html $(NWDBXSL) $(STBASE)ug-report.xml
	
	@echo "----- Quick Guide status report -----"
	xsltproc -o $(STBASE)qg-report.xml $(wOS) quickguide/C/quick-guide.xml
	xsltproc -o $(STBASE)qg-report.html $(NWDBXSL) $(STBASE)qg-report.xml

	@echo "----- Admin Guide status report -----"
	xsltproc -o $(STBASE)ag-report.xml $(wOS) adminguide/C/adminguide.xml
	xsltproc -o $(STBASE)ag-report.html $(NWDBXSL) $(STBASE)ag-report.xml

	@echo "----- Install Guide status report -----"
	xsltproc -o $(STBASE)in-report.xml $(wOS) ../generic/instalguide/C/installation-guide.xml
	xsltproc -o $(STBASE)in-report.html $(NWDBXSL) $(STBASE)in-report.xml
	
	@echo "----- Release Notes status report -----"
	xsltproc -o $(STBASE)rn-report.xml $(wOS) releasenotes/C/release-notes.xml
	xsltproc -o $(STBASE)rn-report.html $(NWDBXSL) $(STBASE)rn-report.xml
	
	@echo "----- About Ubuntu status report -----"
	xsltproc -o $(STBASE)au-report.xml $(wOS) aboutubuntu/C/about-ubuntu.xml
	xsltproc -o $(STBASE)au-report.html $(NWDBXSL) $(STBASE)au-report.xml

	@echo "----- Faqguide status report -----"
	xsltproc -o $(STBASE)faq-report.xml $(wOS) ../generic/faqguide/C/faqguide.xml
	xsltproc -o $(STBASE)faq-report.html $(NWDBXSL) $(STBASE)faq-report.xml
	
	@echo "----- Complete. Find outputs at" $(STBASE)

#Status: AVAILABLE
# User Guide
ug:
	@echo "--- Building the Ubuntu User Guide . . ."
	
	@echo "--- Removing existing build files (if any). . ."
	rm -f $(UGBASE)C/*.html
	@echo "--- Building new files. . ."

	xsltproc --xinclude --stringparam base.dir $(UGBASE)C/ $(HTMLXSL) userguide/C/userguide.xml
	xsltproc --xinclude  -o $(UGBASE)ug-imagelist.txt $(MKIMGLST) userguide/C/userguide.xml
	
	mkdir -p $(IMAGES)C
	
	cp -r images/C/*.* $(IMAGES)C
	
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	
	@echo "--- Complete. Find outputs at" $(UGBASE)

#Status: AVAILABLE
# Quick Guide
qg:
	@echo "--- Building the Ubuntu Quick Guide . . ."

	@echo "--- Removing existing build files (if any). . ."
	rm -f $(QGBASE)C/*.html
	@echo "--- Building new files. . ."

	xsltproc --stringparam base.dir $(QGBASE)C/ $(HTMLXSL) quickguide/C/quick-guide.xml
	xsltproc -o $(QGBASE)qg-imagelist.txt $(MKIMGLST) quickguide/C/quick-guide.xml
	
	mkdir -p $(IMAGES)C
	
	cp -r images/C/*.* $(IMAGES)C
	
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	
	@echo "--- Complete. Find outputs at" $(QGBASE)

#Status: NOT WORKING
# Administration Guide
ag:
	
	@echo "--- Building the Ubuntu Administration Guide . . ."
	
	@echo "--- Removing existing build files (if any). . ."
	rm -f $(AGBASE)C/*.html
	@echo "--- Building new files. . ."

	xsltproc --stringparam base.dir $(AGBASE)C/ $(HTMLXSL) adminguide/C/adminguide.xml
	xsltproc -o $(AGBASE)ag-imagelist.txt $(MKIMGLST) adminguide/C/adminguide.xml
	
	mkdir -p $(IMAGES)C
	
	cp -r images/C/*.* $(IMAGES)C
	
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	
	@echo "--- Complete. Find outputs at" $(AGBASE)
	
#Status: AVAILABLE
# Installation Guide
in:
	
	@echo "--- Building the Ubuntu Installation Guide . . ."
	
	@echo "--- Removing existing build files (if any). . ."
	rm -f $(INBASE)C/*.html

	@echo "--- Building new files. . ."
	xsltproc --stringparam base.dir $(INBASE)C/ --stringparam profile.os "gnome" $(HTMLXSL) ../generic/instalguide/C/installation-guide.xml
	xsltproc -o $(INBASE)in-imagelist.txt $(MKIMGLST) ../generic/instalguide/C/installation-guide.xml
	
	mkdir -p $(IMAGES)C
	
	cp -r ../generic/images/C/*.* $(IMAGES)C
	
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	
	@echo "--- Complete. Find outputs at" $(INBASE)

#Status: AVAILABLE
# About Ubuntu Document
au:
	@echo "--- Building About Ubuntu Document"
	
	xsltproc -o $(ABASE)C/index.html $(AUHTMLXSL) aboutubuntu/C/about-ubuntu.xml
	xsltproc -o $(ABASE)au-imagelist.txt $(MKIMGLST) aboutubuntu/C/about-ubuntu.xml
	
	mkdir -p $(IMAGES)C
	
	cp -r ../generic/images/C/*.* $(IMAGES)C
	
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	
	cp libs/aboutubuntu.css ../build/gnome/

	@echo "--- Complete. Find outputs at" $(ABASE)

#Status: AVAILABLE
# Release Notes
rn:
	@echo "--- Building the Ubuntu Release Notes . . ."
	
	xsltproc -o $(RNBASE)C/release-notes.html $(NWDBXSL) releasenotes/C/release-notes.xml
	xsltproc -o $(RNBASE)rn-imagelist.txt $(MKIMGLST) releasenotes/C/release-notes.xml
	
	mkdir -p $(IMAGES)C
	
	cp -r ../generic/images/C/*.* $(IMAGES)C
	
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	
	@echo "--- Complete. Find outputs at" $(RNBASE)

#Status: AVAILABLE
# FAQ Guide - build for all archs (i386, amd64, ppc)
faq: faqi386 faqamd64 faqppc

#Status: AVAILABLE
# FAQ Guide i386
faqi386:
	
	@echo "--- Building the FAQ Guide (i386) . . ."
	
	@echo "--- Removing existing build files (if any). . ."
	rm -f $(FAQBASEI386)C/*.*
	rm -f $(FAQBASEI386)C/sample/*

	@echo "--- Building new files. . ."
	xsltproc --stringparam base.dir $(FAQBASEI386)C/ --stringparam profile.os "gnome" --stringparam profile.arch "i386" $(FAQHTMLXSL) ../generic/faqguide/C/faqguide.xml
	#	xsltproc -o $(FAQBASEI386)faq-imagelist.txt $(MKIMGLST) ../generic/faqguide/C/faqguide.xml
	
	mkdir -p $(IMAGES)C
	
	cp -r ../generic/images/C/*.* $(IMAGES)C
	
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	
	mkdir -p $(FAQBASEI386)C/sample
	cp -r ../generic/faqguide/C/sample/* $(FAQBASEI386)C/sample/
	
	cp ../generic/faqguide/faqguide.css ../build/gnome/
	
	@echo "Complete. Find outputs at" $(FAQBASEI386)C/

#Status: AVAILABLE
# FAQ Guide amd64
faqamd64:
	
	@echo "--- Building the FAQ Guide (amd64) . . ."
	
	@echo "--- Removing existing build files (if any). . . "
	rm -f $(FAQBASEAMD64)C/*.html
	rm -f $(FAQBASEAMD64)C/sample/*

	@echo "--- Building new files. . . "
	xsltproc --stringparam base.dir $(FAQBASEAMD64)C/ --stringparam profile.os "gnome" --stringparam profile.arch "amd64" $(FAQHTMLXSL) ../generic/faqguide/C/faqguide.xml
	#	xsltproc -o $(FAQBASEAMD64)faq-imagelist.txt $(MKIMGLST) ../generic/faqguide/C/faqguide.xml
	
	mkdir -p $(IMAGES)C
	
	cp -r ../generic/images/C/*.* $(IMAGES)C
	
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	
	mkdir -p $(FAQBASEAMD64)C/sample
	cp -r ../generic/faqguide/C/sample/* $(FAQBASEAMD64)C/sample/
	
	cp ../generic/faqguide/faqguide.css ../build/gnome/
	
	@echo "Complete. Find outputs at" $(FAQBASEAMD64)C/

#Status: AVAILABLE
# FAQ Guide ppc
faqppc:
	
	@echo "--- Building the FAQ Guide (ppc) . . ."
	
	@echo "--- Removing existing build files (if any). . . "
	rm -f $(FAQBASEPPC)C/*.html
	rm -f $(FAQBASEPPC)C/sample/*

	@echo "--- Building new files. . . "
	xsltproc --stringparam base.dir $(FAQBASEPPC)C/ --stringparam profile.os "gnome" --stringparam profile.arch "ppc" $(FAQHTMLXSL) ../generic/faqguide/C/faqguide.xml
	#	xsltproc -o $(FAQBASEPPC)faq-imagelist.txt $(MKIMGLST) ../generic/faqguide/C/faqguide.xml
	
	mkdir -p $(IMAGES)C
	
	cp -r ../generic/images/C/*.* $(IMAGES)C
	
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	
	mkdir -p $(FAQBASEPPC)C/sample
	cp -r ../generic/faqguide/C/sample/* $(FAQBASEPPC)C/sample/
	
	cp ../generic/faqguide/faqguide.css ../build/gnome/

	@echo "Complete. Find outputs at" $(FAQBASEPPC)C/

#Status: AVAILABLE
# Style Guide
sg:
	@echo "--- Building the Ubuntu Style Guide . . ."
	
	@echo "--- Removing existing build files (if any). . ."
	rm -f $(SGBASE)*.html
	@echo "--- Building new files. . . "

	xsltproc --stringparam base.dir $(SGBASE) $(SGHTMLXSL) ../styleguide/styleguide.xml
#	xsltproc -o $(SGBASE)sg-imagelist.txt $(MKIMGLST) ../styleguide/styleguide.xml
	
	mkdir -p $(IMAGES)
	
	cp -r images/C/*.* $(IMAGES)
	
	mkdir -p $(IMAGES)admon
	cp -r ../common/admon/*.* $(IMAGES)admon
	
	mkdir -p $(IMAGES)callouts
	cp -r ../common/callouts/*.* $(IMAGES)callouts
	
	mkdir -p $(IMAGES)navig
	cp -r ../common/navig/*.* $(IMAGES)navig
	
	# copy style sheet to build directory
	cp default.css ../build/gnome/default.css
	
	@echo "--- Complete. Find outputs at" $(SGBASE)
# QuickTour
qt:
	@echo "--- Coping the QuickTour . . ."
	
	@echo "--- Copying New Files. . ."
	mkdir -p ../build/quicktour
	cp -r quicktour/*.* ../build/quicktour/
	@echo "--- Complete."

clean:
	rm -rf $(BASE)

=== debian/changelog ===
ubuntu-docs (5.10-6.3) breezy-updates; urgency=low

  * Fixed typos in some translations which were generating cron scrollkeeper errors (bugs #30453, #30535, #30563)

 -- Matthew East <mdke@ubuntu.com>  Sun, 5 Feb 2006 15:14:05 +0000

ubuntu-docs (5.10-6.2) breezy-updates; urgency=low

  * Merge duplicated Conflicts field.  Thanks to Colin Watsom for catching
    this.

 -- Tollef Fog Heen <tfheen@ubuntu.com>  Tue, 24 Jan 2006 10:47:05 +0100

ubuntu-docs (5.10-6.1) breezy-updates; urgency=low

  [ Matthew East ]
  * new text, image and css in /usr/share/ubuntu-artwork/home/index.html (Ubuntu #15013, #16932, #17605 and #20692)
  * new and updated translations for about-ubuntu and faqguide
  * including sample/ directories for faqguide (fix provided by Bhuvaneswaran)

  [ Jonathan Riddell ]
  * Use update-alternatives for Firefox index page

  [ Tollef Fog Heen ]
  * Conflict with versions of ubuntu-docs and edubuntu-artwork not using
    update-alternatives for Firefox index page.
  
 -- Tollef Fog Heen <tfheen@ubuntu.com>  Wed, 18 Jan 2006 13:27:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: ubuntu-docs
 Architecture: all
 Depends: scrollkeeper
-Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide
+Conflicts: ubuntu-quickguide (<< 5.10), ubuntu-faqguide, kubuntu-docs (<< 5.10-0.6.1), edubuntu-artwork (<< 0.1.0-9.1)
 Replaces: ubuntu-faqguide
 Recommends: yelp
 Description: The Ubuntu Quick Guide

=== kde/debian/control ===
Source: kubuntu-docs
Section: text
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), cdbs, xsltproc, docbook-xsl, perl, perl-modules, poxml, kdelibs-data
Standards-Version: 3.6.1.0

Package: kubuntu-docs
Architecture: all
Depends: khelpcenter
Description: kubuntu documentation
 The Kubuntu documentation is in this package.
 Documentation in this package includes:
  * About Kubuntu
  * Kubuntu Release Notes
  * Kubuntu Quick Guide  
 .
 This documentation is created and maintained by
 the Ubuntu Documentation Team. <ubuntu-doc@lists.ubuntu.com>

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,5 @@
 $(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
 	dh_scrollkeeper -p$(cdbs_curpkg) $(DEB_DH_SCROLLKEEPER_ARGS)
 
+common-binary-post-install-indep::
+	mv debian/ubuntu-docs/usr/share/ubuntu-artwork/home/index.html debian/ubuntu-docs/usr/share/ubuntu-artwork/home/firefox-index.html
